oh-my-posh init pwsh --config "$env:POSH_THEMES_PATH/drac.omp.json" | Invoke-Expression

function csbuild {
    param (
        [string]$cfg = "Debug"
    )

    $csproj = Get-ChildItem -Recurse -Filter *.csproj
    if ($csproj) {
        dotnet build $csproj.FullName --configuration $cfg
    } else {
        Write-Host "No .csproj file found in the current directory or subfolders."
    }
}